Bug 1002429 - Missing dependency in KmyMoney
Missing dependency in KmyMoney
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kmymoney (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 03:54 EDT by Fabien Archambault
Modified: 2013-09-11 21:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: kmymoney-4.6.3-12.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 21:55:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabien Archambault 2013-08-29 03:54:40 EDT
Description of problem: with a fresh installation of KmyMoney some KDE packages are missing thus leading to a lack of icons in the GUI.
Started from command line:
$ kmymoney
/home/ramses-linux/.themes/Sea2K64/gtk-2.0/gtkrc:1388: Incapable de localiser le fichier image dans le chemin des pixmaps : « ProgressBar/progress.png »
/home/ramses-linux/.themes/Sea2K64/gtk-2.0/gtkrc:1391: Background image options specified without filename
/home/ramses-linux/.themes/Sea2K64/gtk-2.0/gtkrc:1397: Incapable de localiser le fichier image dans le chemin des pixmaps : « ProgressBar/progress.png »
/home/ramses-linux/.themes/Sea2K64/gtk-2.0/gtkrc:1400: Background image options specified without filename
/home/ramses-linux/.themes/Sea2K64/gtk-2.0/gtkrc:1406: Incapable de localiser le fichier image dans le chemin des pixmaps : « ProgressBar/progress.png »
/home/ramses-linux/.themes/Sea2K64/gtk-2.0/gtkrc:1409: Background image options specified without filename
/home/ramses-linux/.themes/Sea2K64/gtk-2.0/gtkrc:1415: Incapable de localiser le fichier image dans le chemin des pixmaps : « ProgressBar/progress.png »
/home/ramses-linux/.themes/Sea2K64/gtk-2.0/gtkrc:1418: Background image options specified without filename
kmymoney(1571)/kdeui (KIconLoader): Error: standard icon theme "oxygen" not found! 

kmymoney(1571)/kdeui (KIconLoader): Error: standard icon theme "oxygen" not found! 

How to solve:
install oxygen-cursor-themes and oxygen-icon-themes

Additional info:
I am not the original founder of this issue, this was first discovered in the French forum of Fedora: http://forums.fedora-fr.org/viewtopic.php?pid=526091
I just send this as he cannot speak English to submit the bug here.
Comment 1 Rex Dieter 2013-08-29 06:26:57 EDT
Thank you for your report.  

Indeed, I think we need to add
Requires: kde-runtime
which pulls in oxygen-icon-theme, among other things, that most kde applications expect to have.
Comment 2 Fedora Update System 2013-09-03 08:22:48 EDT
kmymoney-4.6.3-12.fc19, calligra-l10n-2.7.2-1.fc19, calligra-2.7.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-15420/kmymoney-4.6.3-12.fc19,calligra-l10n-2.7.2-1.fc19,calligra-2.7.2-1.fc19
Comment 3 Fedora Update System 2013-09-03 18:29:15 EDT
Package kmymoney-4.6.3-12.fc19, calligra-l10n-2.7.2-1.fc19, calligra-2.7.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kmymoney-4.6.3-12.fc19 calligra-l10n-2.7.2-1.fc19 calligra-2.7.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15420/kmymoney-4.6.3-12.fc19,calligra-l10n-2.7.2-1.fc19,calligra-2.7.2-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-11 21:55:15 EDT
kmymoney-4.6.3-12.fc19, calligra-l10n-2.7.2-1.fc19, calligra-2.7.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.